Subject: Re: bug#30311: efi-less grub install fails

From: Mark H Weaver <[email-masked]>
Date: Sun, 18 Feb 2018 11:20:40 -0500

reopen 30311
thanks

Hi Ricardo,

Ricardo Wurmus <[email-masked]> writes:
> Okay, I’ve added “--target=i386-pc” to the list of arguments.

This change breaks my mips64el-linux GuixSD system, which is supported
by GRUB, but where "--target=i386-pc" is obviously not appropriate.  On
my system I need a different 'target' setting.

It would be great if we could find another solution to this issue.
GRUB's automatic target selection seems to work on most systems, since
we've been relying on it for a long time without anyone reporting
problems until this bug report.

In the rare cases where GRUB fails to detect the target, perhaps we
could provide a way to specify an explicit GRUB 'target' in the grub
configuration?  What do you think?

      Mark